# Loki::AmountLimitedCreation Class Reference
[Creation policies]

Limit by number of objects. More...

`#include <CachedFactory.h>`

List of all members.

## Detailed Description

Limit by number of objects.

This implementation will prevent from Creating more than maxCreation objects within byTime ms by calling eviction policy. Use the setRate method to set the rate parameters. default is 10 objects.

The documentation for this class was generated from the following file:

- CachedFactory.h